#import "@local/handout:0.1.0": *
#import "@preview/cetz:0.3.1"

= Rotational Symmetry


Another symmetry is n-fold rotational symmetry about a point, whose signature is written n. Multiple bold numbers means multiple points of rotational symmetry.

Two points of rotational symmetry are considered the same if we can perform a translation + rotation sending one to the other, while leaving the pattern the same.

There are also patterns with both kinds of symmetries. To classify such patterns, first find all the mirror symmetries, then all the rotational symmetries that are not accounted
for by the mirror symmetries.

By convention we write the rotational symmetries before
the `*`.


#table(
  stroke: none,
  align: center,
  columns: (1fr, 1fr),
  rows: 50mm,
  image("../res/333.png", height: 100%), image("../res/3*3.png", height: 100%),
)


#problem()
Mark the three rotation points in Figure 1.

#problem()
Find the signature of the pattern in Figure 2.

#solution([`3 *3`])

#pagebreak()


Some exceptional cases: It is possible to have two different parallel mirror lines. In
this situation the signature is ∗ ∗


#table(
  stroke: none,
  align: center,
  columns: 1fr,
  rows: 60mm,
  image("../res/**.png", height: 100%),
)

#problem()
Draw another wallpaper pattern with signature `**`


#pagebreak()

There are two other types of symmetries. The first called a miracle whose signature is
written ×. It is the result of a glide reflection, which is translation along a line followed
by reflection about that line.
This occurs when there is orientation-reversing symmetry not accounted for by a mirror.
For example, if we modify Figure 3 slightly we get a signature of ∗×

#table(
  stroke: none,
  align: center,
  columns: (1fr, 1fr),
  rows: 60mm,
  image("../res/*x-b.png", height: 100%),
  image("../res/*x-a.png", height: 100%),
)

Signature ∗×. There is a glide reflection (shown by the by the dotted line)
taking the clockwise spiral to the counter-clockwise spiral, reversing orientation


#pagebreak()


#problem()
Find the signatures of the following patterns:

#table(
  stroke: none,
  align: center,
  columns: (1fr, 1fr),
  rows: 60mm,
  image("../res/wiki/Wallpaper_group-cm-4.jpg", height: 100%),
  image("../res/wiki/Wallpaper_group-p4g-2.jpg", height: 100%),
)


#pagebreak()

There is another exceptional case with two miracles, where there are two glide reflection
symmetries along distinct lines. There are other glide reflections, but they can be obtained
by composing the two marked in the diagram.


#table(
  stroke: none,
  align: center,
  columns: (1fr, 1fr),
  rows: 60mm,
  image("../res/xx-b.png", height: 100%),
  image("../res/xx-a.png", height: 100%),
)

Figure 7: There are two distinct mirrorless crossings, so the signature is `xx`.
Lastly, if none of the above symmetries appear in the pattern, then there is only regular
translational symmetry, which we denote by O.

In summary, to find the signature of a pattern:
- Find the mirror lines (∗) and the distinct intersections
- Find the rotational points of symmetry not account for by reflections.
- Look for any miracles (×) i.e. glide reflections that do not cross a mirror line.
- If you found none of the above, it is just O
